#!/bin/sh
# shellcheck disable=SC1091
. ./01_SetVariables.sh
if [ "$(id -u)" -eq 0 ]; then
  echo "Please execute this script as regular user."
  exit
fi
export MKRESCUE_SED_PARTNO=2
export MKRESCUE_SED_MODE=mjg
grub-mkrescue --locales='' --themes='' --compress=xz -V "$ISOLABEL" \
-o "$PATHTOISO" -iso_mbr_part_type 0x83 -partition_offset 16 -J \
--xorriso=grub-mkrescue-sed.sh "$ISODIR"
